
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JS中事件冒泡和事件捕获介绍_javascript技巧 / iVAN</title>

    <meta name="description" content="JS中事件冒泡和事件捕获介绍_javascript技巧 谈起JavaScript的 事件,事件冒泡.事件捕获.阻止默认事件这三个话题,无论是面试还是在平时的工作中,都很难避免.事件捕获阶段:事件从最上一级标签开始往下查找,直到捕获到事件目标(target).事件冒泡阶段:事件从事件目标(target)开始,往上冒泡直到页面的最上一级标签. 1.冒泡事件: 事件按照从最特定的事件目标到最不特定的事件目标(document对象)的顺序触发.通俗来讲就是,就是当设定了多个div的嵌套时:即建立了父子关系,当父div与子div共同加入了onclick事件时,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JS中事件冒泡和事件捕获介绍_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>谈起JavaScript的 事件，事件冒泡、事件捕获、阻止默认事件这三个话题，无论是面试还是在平时的工作中，都很难避免。<br /><strong>事件捕获阶段：</strong>事件从最上一级标签开始往下查找，直到捕获到事件目标(target)。<br /><strong>事件冒泡阶段：</strong>事件从事件目标(target)开始，往上冒泡直到页面的最上一级标签。</p>
<p><strong>1、冒泡事件：</strong></p>
<p>事件按照从最特定的事件目标到最不特定的事件目标(document对象)的顺序触发。通俗来讲就是，就是当设定了多个div的嵌套时；即建立了父子关系，当父div与子div共同加入了onclick事件时，当触发了子div的onclick事件后，子div进行相应的js操作，但是父div的onclick事件同样会被触发。</p>
<p><strong>html:</strong></p>
<pre>
&lt;div&gt;
 &lt;input type="button" value="测试事件冒泡" /&gt;
&lt;/div&gt;
</pre>
<p><strong>js:<br /></strong></p>
<pre>
  var $input = document.getElementsByTagName("input")[0];
   var $div = document.getElementsByTagName("div")[0];
   var $body = document.getElementsByTagName("body")[0];

   $input.onclick = function(e){
      this.style.border = "5px solid red"
      var e = e || window.e;
      alert("red")
   }
   $div.onclick = function(e){
      this.style.border = "5px solid green"
      alert("green")
   }
   $body.onclick = function(e){
      this.style.border = "5px solid yellow"
      alert("yellow")
   }
</pre>
<p>效果：依次弹出”red“,"green","yellow"。这就是事件冒泡：触发button这个元素，却连同父元素绑定的事件一同触发。</p>
<p><strong>2、阻止事件冒泡<br /></strong></p>
<p>如果对input的事件绑定改为：</p>
<pre>
$input.onclick = function(e){
  this.style.border = "5px solid red"
  var e = e || window.e;
  alert("red")
  e.stopPropagation();
}
</pre>
<p>这个时候只会弹出”red“，因为阻止了事件冒泡。</p>
<p><strong>3、事件捕获：<br /></strong></p>
<p>从顶层元素到目标元素或者从目标元素到顶层元素，和事件冒泡是一个相反的过程。事件从最不精确的对象(document 对象)开始触发，然后到最精确(也可以在窗口级别捕获事件，不过必须由开发人员特别指定)。</p>
<pre>
$input.addEventListener("click", function(){
  this.style.border = "5px solid red";
  alert("red")
}, true)
$div.addEventListener("click", function(){
  this.style.border = "5px solid green";
  alert("green")
}, true)
$body.addEventListener("click", function(){
  this.style.border = "5px solid yellow";
  alert("yellow")
}, true)
</pre>
<p>这个时候依次弹出”yellow“,"green","red"。这就是事件的捕获。 </p>
<p>如果把addEventListener方法的第三个参数改成false，则表示只在冒泡的阶段触发，弹出的依次为：”red“,"green","yellow"。这是因为在W3C模型中，任何事件发生时，先从顶层开始进行事件捕获，直到事件触发到达了事件源元素。然后，再从事件源往上进行事件冒泡，直到到达document。</p>
<p>程序员可以自己选择绑定事件时采用事件捕获还是事件冒泡，方法就是绑定事件时通过addEventListener函数，它有三个参数，第三个参数若是true，则表示采用事件捕获，若是false，则表示采用事件冒泡。</p>
<p>ele.addEventListener('click',doSomething2,true)<br />
true=捕获<br />
false=冒泡</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js<br />
                    ，                事件冒泡<br />
                                    事件捕获<br />
                                    javascript 冒泡 捕获、事件冒泡与事件捕获、事件捕获和事件冒泡、js事件冒泡和捕获、js事件捕获 冒泡，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:40:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e6%8d%95%e8%8e%b7/" title="事件捕获">事件捕获</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8b%e4%bb%b6%e5%86%92%e6%b3%a1/" title="事件冒泡">事件冒泡</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JS中事件冒泡和事件捕获介绍_javascript技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6nAXM.html" rel="bookmark">JS中数组Array的用法示例介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				new Array() new Array(len) new Array([item0,[item1,[item2,...]]] 使用数组对象的方法: var objArray=new Array(); objArray.concact([item1[,item2[,....]]]-------------------将参数列表连接到objArray的后面形成一个新的数组并返回,原有数组不受影响.如:var arr=[&quot;a&quot;,&quot;b&quot;,&quot;c&quot;];			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlm10ap.html" rel="bookmark">js中array的sort&lpar;&rpar;方法使用介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				或许你一直在用javascript中的array的sort. 或许你一直相信它会给你正确的结果. 至少我曾经也是这样认为的,直到有一天,我看到了如下的代码 : 复制代码 代码如下: [5,10,1].sort(); 或许结果有点出人意料.结果如下: 复制代码 代码如下: [1,10,5] 仔细深究之后,发现原来默认的sort方法并不是按照整形数据来排序,而是用的字符串匹配方式. 换言之就是10 中的这个 1 导致了上面代码的错误. 当然,解决方法有很多,可以给sort方法中传入回调函数. 复制代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8N9Kxb.html" rel="bookmark">js中的异常处理try&period;&period;&period;catch使用介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript可以使用try...catch来进行异常处理.例如: 复制代码 代码如下: try { foo.bar();} catch (e) { alert(e.name + &quot;: &quot; + e.message);} 目前我们可能得到的系统异常主要包含以下6种: EvalError: raised when an error occurs executing code in eval() RangeError: raised when a numeric variable o			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5PWWz.html" rel="bookmark">js中的eventType事件及其浏览器支持性介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般事件 事件 浏览器支持 描述 onClick IE3|N2|O3 鼠标点击事件,多用在某个对象控制的范围内的鼠标点击 onDblClick IE4|N4|O 鼠标双击事件 onMouseDown IE4|N4|O 鼠标上的按钮被按下了 onMouseUp IE4|N4|O 鼠标按下后,松开时激发的事件 onMouseOver IE3|N2|O3 当鼠标移动到某对象范围的上方时触发的事件 onMouseMove IE4|N4|O 鼠标移动时触发的事件 onMouseOut IE4|N3|O3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmraNp.html" rel="bookmark">JavaScript Event事件学习第一章 Event介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				没有event就没有脚本.可以看看任何有JavaScript代码的网页:几乎所有的例子都有一个事件触发了脚本.原因非常简单.JavaScript就是给你的页面添加内部活动:用户做一些事情然后页面做出回应. 因此JavaScript就需要一个方法能够检测到用户的动作然后才能知道什么时候做出反应.这还需要知道那个函数会被执行,函数会做一些你认为的给你的网页增色的动作.这些文字描述了如何去写这样的脚本.虽然不容易,但是这是一个很让人满足的工作. 当用户做了什么事情event就发生了,当然还有一些eve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYmdqb.html" rel="bookmark">IE的事件传递-event&period;cancelBubble示例介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于event.cancelBubble,由于HTML中的对象都是层次结构,比如一个Table包含了多个TR,一个TR包含了多个TD Bubble就是一个事件可以从子节点向父节点传递,比如鼠标点击了一个TD,当前的event.srcElement就是这个TD,但是这种冒泡机制使你可以从TR或者Table处截获这个点击事件,但是如果你event.cancelBubble,则就不能上传事件. 例子: 复制代码 代码如下: &lt;html&gt; &lt;body&gt; &lt;table border=&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8dZ0p.html" rel="bookmark">js中的preventDefault与stopPropagation详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先讲解一下js中preventDefault和stopPropagation两个方法的区别:preventDefault方法的起什么作用呢?我们知道比如&lt;a href=&quot;http://www.baidu.com&quot;&gt;百度&lt;/a&gt;,这是html中最基础的东西,起的作用就是点击百度链接到http://www.baidu.com,这是属于&lt;a&gt;标签的默认行为,而preventDefault方法就是可以阻止它的默认行为的发生而发生其他的事情.看一段代码大家就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NmNob.html" rel="bookmark">js中 javascript&colon;void&lpar;0&rpar; 用法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript:void(0)表示不做任何动作.如: 复制代码 代码如下: &lt;a href=&quot;javascript:void(0);&quot; onclick=&quot;alert('ok');&quot;&gt;&lt;/a&gt;  这里表示这个链接不做跳转动作,执行onClick事件. 我想使用过ajax的都常见这样的代码: 复制代码 代码如下: &lt;a href=&quot;javascript:doTest2();void(0);&quot;&gt;here&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvdN4M.html" rel="bookmark">js中常用的Tab切换效果&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;tab&lt;/title&gt; &lt;style&gt; *{margin:0; padding:0; list-style:none;} .box{ width: 1000px; overflow: hidden; margin:100px auto			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKykvp.html" rel="bookmark" class="title">动态创建控件支持事件响应并可保存与读取</a>
					<div>
						VC++6.0中创建动态控件是比较偏离基础的知识,也有一定的难度.它的完整功能是要动态创建控件后再动态响应控件中的事件,两者全部做到才算完整. 这里我将展示一个完整的动态控件示例,它可以动态创建控件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnL2Vz.html" rel="bookmark" class="title">POWER7新特性揭秘：POWER 7特性帮助客户实现动态的基础设施</a>
					<div>
						在当今的 IT 基础设施中,涉及的资产.数据.事务和分析越来越多,这要求基础设施更加动态.2 月份,IBM 推出了配备 POWER7 芯片的新服务器,由此把它的 Power Systems 产品系列定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRynP8b.html" rel="bookmark" class="title">如何动态切换报表中的图表类型</a>
					<div>
						今天被人问到这样一个问题:如何动态地切换报表中的图表类型,例如能不 能同时支持柱状图和饼图,而且用户可以切换? 开发的环境是Reporting Service. 我为此做了一些研究,下面这个范例可以解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKB8mM.html" rel="bookmark" class="title">Win8&period;1升级Win10遇到错误代码80240016怎么办？</a>
					<div>
						Win8.1升级Win10遇到错误代码80240016怎么办?   具体步骤: 1.关闭所有打开的 Windows 更新或 Microsoft 更新窗口. 2.单击&quot;开始&quot;按钮 , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLlLKb.html" rel="bookmark" class="title">word2016怎么加密</a>
					<div>
						  word2016怎么加密         用Word 2016打开你要加密的文档 点击&quot;文件&quot;选项,进入信息面板 单击&quot;保护文档&quot;下拉菜单,选中&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42YKjM.html" rel="bookmark" class="title">来和小伙伴一起学习响应式网页设计</a>
					<div>
						  响应式网页设计 过去,上网需要一台电脑,一个猫. 现在呢,手机.平板.电视都可以上网. Responsive Web Design, 由Ethan Marcotte编写, A Book Apart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8DQRb.html" rel="bookmark" class="title">win7系统问题步骤记录器怎么打开&quest;</a>
					<div>
						  win7系统问题步骤记录器怎么打开? 具体方法如下: 1.点击&quot;开始&quot;菜单,在搜索框中输入&quot;psr.exe&quot;; 2.在搜索结果中点击&quot;psr.ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaj9RM.html" rel="bookmark" class="title">win7旗舰版系统如何禁止修改文件属性让文件更安全</a>
					<div>
						  1.首先在键盘按&quot;Win+R&quot;组合键打开&quot;运行&quot;窗口,输入&quot;REGEDIT&quot;命令,回车打开注册表编辑器; 2.在打开的注册表编辑器中依次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42GPNM.html" rel="bookmark" class="title">xp系统笔记本电脑提前备份输入法词汇的方法</a>
					<div>
						  现在虽然咱们都知道xp系统已经不再更新了,还是有一些用户在安装使用xp系统,因为这款系统主要是比较稳定和安全.因为xp系统对于配置比较低的电脑很适用,那么如果遇到我们需要重新安装系统的话,就会导致 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EONoM.html" rel="bookmark" class="title">Kafka实战－实时日志统计流程</a>
					<div>
						1.概述 在&lt;Kafka实战-简单示例&gt; 一文中给大家介绍来Kafka的简单示例,演示了如何编写Kafka的代码去生产数据和消费数据,今天给大家介绍如何去整合一个完整的项目,本篇博客我打  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAA13M.html" rel="bookmark" class="title">图像处理-识别具有平移，旋转的图像，并与图像比对，粗率计算出平移度与旋转度</a>
					<div>
						问题描述 识别具有平移,旋转的图像,并与图像比对,粗率计算出平移度与旋转度 给出一张发生了旋转和平移的图像,和源图像进行比对,计算旋转了多少度,平移了多少,且两张图片并不是完全一样的,,略有差别 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxojy7b.html" rel="bookmark" class="title">vb-窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的？</a>
					<div>
						问题描述 窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的? 窗体垂直滚动条但是没有中间的方块和滚动的控件是怎么实现的?怎么样实现一个没有滑块和滚动的垂直滚动条? 解决方案 那个是微调旋钮sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrv4WM.html" rel="bookmark" class="title">独家 &vert; 手把手教随机森林</a>
					<div>
						随机森林-概述   当变量的数量非常庞大时,你将采取什么方法来处理数据?   通常情况下,当问题非常庞杂时,我们需要一群专家而不是一个专家来解决问题.例如Linux,它是一个非常复杂的系统,因此需要成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAVroM.html" rel="bookmark" class="title">c&plus;&plus;6 0控制台程序-c&plus;&plus;6&period;0控制台程序，使用mcisendstring函数播放mp3文件，没有声音</a>
					<div>
						问题描述 c++6.0控制台程序,使用mcisendstring函数播放mp3文件,没有声音 执行play()函数中,代码: char a[100]=&quot;&quot;; char c='1'; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE1xxz.html" rel="bookmark" class="title">jQuery实现首页顶部可伸缩广告特效代码&lowbar;jquery</a>
					<div>
						特效介绍 麦包包首页顶部广告代码仿麦包包首页顶部伸缩广告jQuery广告代码.页面载入完成后,2.5秒后会自动放大广告显示,页面内容自动向下延伸.显示8.5秒后自动收回,放小显示. 演示图 使用方法  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR59Bz.html" rel="bookmark" class="title">任务管理器中的PID是什么？怎么查看？</a>
					<div>
						PID是Process ID的简称,这对WINDOWS开发人员来说是非常有用的信息,但对于普通用户来说则根本不必去理会.   举个例子来说: 在网站发布的时候,需要安装IIS,那么iis的tcp的80 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlxqqp.html" rel="bookmark" class="title">ie 11-jquery autocomplete 在IE11中出现开打网页时下拉列表是已经打开的状态</a>
					<div>
						问题描述 jquery autocomplete 在IE11中出现开打网页时下拉列表是已经打开的状态 在其他浏览器没问题 输入才会触发 现在IE11是页面一加载 就触发了 解决方案 1.浏览器兼容问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg12Ob.html" rel="bookmark" class="title">为了换个头像，Twitter花了这么多心思</a>
					<div>
						推特(Twitter)在过去几次的改版中,页面布局和交互体验都经历了较大的调整,然而贯穿始终并保留的元素就是--小鸟.推特设计师毫不避讳的表达对各种鸟类的喜爱,例如「Larry the Bird」(大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRdrep.html" rel="bookmark" class="title">血泪总结！创业公司CTO要避免哪些坑？</a>
					<div>
						对于想做 CTO 的人,或者正在做 CTO 的人,或者做技术管理的人而言,技术的锤炼和知识的提升非常重要.本文作者将向大家讲述创业中踩过的那些坑和他们的血泪总结. 一.技术的锤炼 先让我从印象最深的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x1ndb.html" rel="bookmark" class="title">经典算法题每日演练&mdash;&mdash;第二十三题 鸡尾酒排序</a>
					<div>
						原文:经典算法题每日演练--第二十三题 鸡尾酒排序     这篇我们继续扯淡一下鸡尾酒排序,为了知道为啥取名为鸡尾酒,特意看了下百科,见框框的话,也只能勉强这么说了.   要是文艺点的话,可以说是搅拌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjP58M.html" rel="bookmark" class="title">穷游网：这里有一个包含十二年用户体验妙计的锦囊</a>
					<div>
						有一个网站,对于喜欢全世界撒欢的小伙伴来说一点都不陌生,它最开始只是一个留学生宿舍里几台电脑搭建的BBS,12年的时间,它变成D轮融资近6000万美元的创业圈新贵,它就是穷游网,估值近30亿元人民币的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodEEEM.html" rel="bookmark" class="title">cometprocessor-tomcate cometProcessor 报错</a>
					<div>
						问题描述 tomcate cometProcessor 报错 我想做一个服务器每一秒主动向浏览器推送一个时间的demo.程序如下: servlet public class CometTest ext ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoNkwM.html" rel="bookmark" class="title">求教tomcat启动后自动执行自定义的拦截器</a>
					<div>
						问题描述 求教tomcat启动后自动执行自定义的拦截器 可能是我对项目不熟悉,我不知道是怎么配置,或者是怎么实现的,使tomcat启动后自动执行了拦截器中的代码,因为我打印了启动的语句,而且还有一个问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdywlNz.html" rel="bookmark" class="title">基金支付工具首次亮相理财博览会 4折申购成亮点</a>
					<div>
						上海2010年11月/美通社亚洲/ -- 2010年11月19日,第八届上海理财博览会盛大开幕,历时3天的上海理财博览会暨上海市民理财日,众多上海市民纷纷&quot;赶集&quot;,享受空前的理财盛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNje9p.html" rel="bookmark" class="title">swift collection-Swift coollectionView cell重用</a>
					<div>
						问题描述 Swift coollectionView cell重用 func collectionView(collectionView: UICollectionView, cellForItemA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEq6Zz.html" rel="bookmark" class="title">linux 中route命令使用方法</a>
					<div>
						route 命令的语法为: route [-CFvnee] route [-v] [-A family] add [-net|-host] target [netmask Nm] [gw Gw] [m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2Z3OM.html" rel="bookmark" class="title">Android 新攻击：Google 语音搜索攻击</a>
					<div>
						香港中文大学的研究人员在预印本网站上发表论文(PDF), 介绍了一种新颖的权限绕过攻击方法:Google语音搜索攻击.攻击者可利用一个零权限的Android应用VoicEmployer,前台激活操作系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEGm1z.html" rel="bookmark" class="title">Java开源日志框架大比拼</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/14223.html&quot;&gt;应用系统中,日志是不可缺少的重要组成部分,所有的应用的出错信息等都应该能在日志文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5kdZz.html" rel="bookmark" class="title">对象-&period;net key &equals; value 类型求教</a>
					<div>
						问题描述 .net key = value 类型求教 var b = conn.Query(sql, new { Id = &quot;a1&quot;, Name = &quot;aaa&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRB87z.html" rel="bookmark" class="title">《Android 应用案例开发大全（第3版）》&mdash;&mdash;第2&period;5节 辅助绘制类</a>
					<div>
						2.5 辅助绘制类上一节介绍了实现壁纸的开发,本节将对辅助绘制类的开发进行详细介绍.在绘制百纳水族馆动态壁纸中各个物体之前,必须要做好准备工作,而这些准备工作就包括辅助绘制类的开发.其中包括背景图辅助 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
